var cbmc_architecture =
[
    [ "Concepts", "cbmc-architecture.html#autotoc_md194", [
      [ "Central data structures", "cbmc-architecture.html#autotoc_md195", null ],
      [ "{C, java bytecode} → Parse tree → Symbol table → GOTO programs → GOTO program transformations → BMC →...", "cbmc-architecture.html#autotoc_md196", null ],
      [ "Instrumentation: goto functions → goto functions", "cbmc-architecture.html#autotoc_md197", null ],
      [ "Goto functions → BMC → Counterexample (trace)", "cbmc-architecture.html#autotoc_md198", null ],
      [ "Trace → interpreter → memory map", "cbmc-architecture.html#autotoc_md199", null ],
      [ "Goto functions → abstract interpretation", "cbmc-architecture.html#autotoc_md200", null ],
      [ "Executables (flow of transformations):", "cbmc-architecture.html#autotoc_md201", [
        [ "goto-cc", "cbmc-architecture.html#autotoc_md202", null ],
        [ "goto-instrument", "cbmc-architecture.html#autotoc_md203", null ],
        [ "cbmc", "cbmc-architecture.html#autotoc_md204", null ],
        [ "goto-analyzer", "cbmc-architecture.html#autotoc_md205", null ]
      ] ]
    ] ],
    [ "Central Data Structures", "central-data-structures.html", [
      [ "Central Data Structures", "central-data-structures.html#autotoc_md206", [
        [ "GOTO models", "central-data-structures.html#autotoc_md207", null ],
        [ "goto_functiont", "central-data-structures.html#autotoc_md208", null ],
        [ "goto_programt", "central-data-structures.html#autotoc_md209", null ],
        [ "source_locationt", "central-data-structures.html#autotoc_md210", null ],
        [ "irept", "central-data-structures.html#autotoc_md211", null ]
      ] ]
    ] ],
    [ "Goto Program Transformations", "goto-program-transformations.html", [
      [ "Core Transformation Passes", "goto-program-transformations.html#required-transforms", [
        [ "Removal/Lowering of Assembly", "goto-program-transformations.html#assembly-transform", null ],
        [ "Linking of Standard Libraries", "goto-program-transformations.html#linking-transform", null ],
        [ "Removal/Lowering of Function Pointers", "goto-program-transformations.html#function-pointer-transform", null ],
        [ "Memory Mapped IO Instrumentation", "goto-program-transformations.html#mmio-transform", null ],
        [ "Instrument/Remove Preconditions", "goto-program-transformations.html#precondition-transform", null ],
        [ "Removal/Lowering of Return Statements", "goto-program-transformations.html#returns-transform", null ],
        [ "Remove/Lower Vector Typed Expressions", "goto-program-transformations.html#vector-transform", null ],
        [ "Remove/Lower Complex Typed Expressions", "goto-program-transformations.html#complex-transform", null ],
        [ "Rewrite Unions", "goto-program-transformations.html#unions-transform", null ],
        [ "goto_check_c", "goto-program-transformations.html#check-c-transform", null ],
        [ "Adjust Float Expressions", "goto-program-transformations.html#floats-transform", null ],
        [ "Goto Functions Update", "goto-program-transformations.html#update-transform", null ],
        [ "Add Failed Symbols", "goto-program-transformations.html#failed-symbols-transform", null ],
        [ "Remove Skip Instructions", "goto-program-transformations.html#remove-skip-transform", null ],
        [ "Label Properties", "goto-program-transformations.html#properties-transform", null ]
      ] ],
      [ "Optional Transformation Passes", "goto-program-transformations.html#optional-transforms", [
        [ "String Instrumentation", "goto-program-transformations.html#string-instrument-transform", null ],
        [ "Partial Inlining", "goto-program-transformations.html#inlining-transform", null ],
        [ "Transform Assertions Assumptions", "goto-program-transformations.html#assertions-transform", null ],
        [ "String Abstraction", "goto-program-transformations.html#string-abstraction-transform", null ],
        [ "Add Non-Deterministic Initialisation of Global Scoped Variables", "goto-program-transformations.html#nondet-transform", null ],
        [ "Remove Unused Functions", "goto-program-transformations.html#unused-functions-transform", null ],
        [ "Add Coverage Goals", "goto-program-transformations.html#coverage-transform", null ],
        [ "Slicing", "goto-program-transformations.html#slicing-transforms", null ]
      ] ]
    ] ]
];